2007-01-07  Thomas Wood  <thos@gnome.org>

	* themus-theme-applier.c: (main): Free the program variable correctly

2007-01-07  Thomas Wood  <thos@gnome.org>

	* themus-theme-applier.c: (main): Applied modified patch from bug 167063
	(themus-theme-applier crashes while running from command promt)

2006-07-23  Sebastien Bacher  <seb128@debian.org>

	* theme-method.directory.in: add encoding key, 
	patch by Vincent Fretin <vincent.fretin@gmail.com> (Closes: #338593)

2006-07-11  Sebastien Bacher  <seb128@debian.org>

	* Makefile.am: fix distclean build target

2006-04-05  Glynn Foster <glynn.foster@sun.com>

        * Makefile.am: Move the .directory files to
        $datadir/desktop-directories. Fixes #334405.

2005-11-14  Sebastien Bacher  <seb128@debian.org>

	* theme-thumbnailer.c: (main): 
	don't call gnome_theme_init (), it's not required. Speedup of 15-20%.

2005-11-14  Rodrigo Moya <rodrigo@novell.com>

	* theme-method.c (do_tell): fixed function signature.

2005-11-14  Kjartan Maraas  <kmaraas@gnome.org>

	* theme-method.c: (do_open): Remove unused var.

2005-09-25  Sebastien Bacher  <seb128@debian.org>

	* themus-theme-applier.desktop.in.in: 
	fix a typo with the StartupNotify option, 
	thanks Vincent Fretin <vincent.fretin@gmail.com> for pointing this
	(Closes: #316159).

2005-02-10  Sebastien Bacher  <seb128@debian.org>

	* theme-thumbnailer.c: (main): fix the crash if the given theme 
	is not correct (Closes: #153203).

2005-02-09  Sebastien Bacher  <seb128@debian.org>

	* theme-thumbnailer.c: (main): change back to the previous code,
	that fixes the themes:/// thumbnails (Closes: #165778).

2005-01-27  Kjartan Maraas  <kmaraas@gnome.org>

	* theme-thumbnailer.c: (main): Don't leak the theme name
	if the theme is invalid.
	* themus-properties-view.c: (themus_properties_view_init):
	NULL vs. 0 in gnome_theme_init()

2005-01-04  Shakti Sen <shprasad@novell.com>

	* theme-thumbnailer.c (main): Added the full path of the theme
	so that it will create the thumbnail.
	Fixes bug #153203

2004-12-25  Kjartan Maraas  <kmaraas@gnome.org>

	* theme-method.c: (vfs_module_init): NULL vs. 0
	* theme-thumbnailer.c: (main): Same
	* themus-theme-applier.c: (main): Same

2004-12-10  James Henstridge  <james@jamesh.id.au>

	* Makefile.am: update the desktop file database on install, since
	we add a new mime action.

	* themus-theme-applier.desktop.in.in (Exec): use %u rather than
	%U, since it only handles a single file.

2004-11-27  James Henstridge  <james@jamesh.id.au>

	* themus.applications, themus.keys: remove.

	* themus-theme-applier.desktop.in.in: new file to hook up
	themus-apply-theme, since the old .applications file isn't used by
	the new MIME system.

	* themus-theme-applier.c: get rid of the bonobo includes.

	* Makefile.am: update to install Nautilus extension.

	* themus-properties-main.c: convert from a Bonobo component to a
	Nautilus extension.

	* themus-properties-view.[ch]: convert to a simple widget.  Also
	fix a bunch of leaks.

2004-10-14  Jody Goldberg <jody@gnome.org>

	* Release 2.8.1

2004-07-22  Christian Neumair  <chris@gnome-de.org>

	* themus-properties-view.c: Use gi18n-lib for internationalization,
	fixes #109206.

2004-04-15  Jody Goldberg <jody@gnome.org>

	* Release 2.6.1

2004-04-01  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.3

2004-03-30  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0.1

2004-03-23  Jody Goldberg <jody@gnome.org>

	* Release 2.6.0

2004-03-11  Jody Goldberg <jody@gnome.org>

	* Release 2.5.4

2004-02-16  Jody Goldberg <jody@gnome.org>

	http://bugzilla.gnome.org/show_bug.cgi?id=134389
	* Makefile.am : Patch from jmmv@menta.net (Julio M. Merino Vidal)
	  to honour the standard schema install flags.
	  I've extended the patch to support builddir != srcdir too

2004-02-13  Jody Goldberg <jody@gnome.org>

	* Release 2.5.3

2004-01-14  Jody Goldberg <jody@gnome.org>

	* Release 2.5.2

2004-01-07  Alex Duggan  <aldug@astrolinux.com>

	* theme-method.c: 
	Remove #define _(s) and replaced with #include <glib/gi18n.h> 
	which fixes bug #130757.  Add a function prototype 
	(copied from font-method.c) to fix compiler warning.
	
	* themus-properties-view.c:
	Remove unused variable to fix compiler warning.

2004-01-02  Andrew Sobala  <aes@gnome.org>

	* Makefile.am:
	* themus-theme-applier.c: (main): use GNOMECC_GLADE_DIR. Patch from
	Marcin Krzyzanowski. Fixes: Bug 126545.

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1.1

2003-12-30  Jody Goldberg <jody@gnome.org>

	* Release 2.5.1

2003-10-28  Jody Goldberg <jody@gnome.org>

	* Release 2.5.0

2003-07-24  Andrew Sobala  <aes@gnome.org>

	* Makefile.am, apply-font.glade, themus-theme-applier.c:
	added GUI to ask if a font should be applied

2003-07-21  Andrew Sobala  <aes@gnome.org>

	As per comments on Usability@gnome.org:
	* Removed "Apply theme" context menu item
	* Made themes apply when you click on them instead

2003-07-20  Andrew Sobala  <aes@gnome.org>

	* themus-component.c: (impl_Bonobo_Listener_event): apply
	fonts (fixes: #109543)

2003-07-07  Jody Goldberg <jody@gnome.org>

	* Release 2.3.4

2003-06-24  Jody Goldberg <jody@gnome.org>

	* Release 2.3.3

2003-06-15  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: fix server.in generation (fixes property page showing)

2003-06-06  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: fix from Rajkumar Sivasamy (originally for control-
	center) for extracting themes under default solaris install. WE NEED
	VFS SUPPORT FOR ARCHIVES! ;-)

2003-06-03  Andrew Sobala  <aes@gnome.org>

	* themus-properties-view.c: fix description word wrapping 
	* theme-method.c: gcc 2.x compile

2003-05-13  Andrew Sobala  <aes@gnome.org>

	* Moved to control-center.

2003-05-04  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (do_open): fix pointer juggling that was causing
	nautilus crashes. Oops again.

2003-05-04  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (do_close): remove some g_free s that were causing
	nautilus to hang. Oops.

2003-04-22  Andrew Sobala  <aes@gnome.org>

	* theme-method.conf: removed .so extension as per Christophe Fergeau's
	comments

2003-03-30  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: added themus.keys to DISTCLEAN

2003-03-29  Andrew Sobala  <aes@gnome.org>

	* .cvsignore: updated

2003-03-29  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: make the .keys file install properly
	* themus.keys.in: add _category

2003-03-29  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: fix cleaning of server.in files

2003-03-29  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: added new component build stuff
	* Themus_Component.server.in.in: added
	* themus-component-main.c: (image_shlib_make_object): added
	* themus-component.c: (impl_Bonobo_Listener_event),
	(themus_component_class_init), (themus_component_init): added
	* themus-component.h: added

2003-03-29  Andrew Sobala  <aes@gnome.org>

	* themus-properties-view.c: (load_location), (do_table_attach),
	(themus_theme_properties_view_init): add description field

2003-03-16  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: add ChangeLog to EXTRA_DIST

 2003-03-16  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (fill_info_struct), (do_open), (do_close),
	(do_get_file_info): a certain amount of leak fixing

2003-03-16  Andrew Sobala  <aes@gnome.org>

	* themus-properties-view.c: (add_atk_relation),
	(themus_theme_properties_view_init): add a11y support to property
	page

2003-03-15  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: s/CFLAGS/AM_CFLAGS because automake moans

2003-03-15  Andrew Sobala  <aes@gnome.org>

	* Themus_Properties_View.server.in.in: remove Nautilus/View interface,
	since it blatantly isn't. Fixes: 108200

2003-03-07  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: made correction to EXTRA_DIST.

2003-03-07  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: add properties page files
	* Themus_Properties_View.server.in.in, themus-properties-main.c,
	themus-properties-view.c, themus-properties-view.h: properties page

2003-03-05  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (do_close): Add monitor stuff that should work, but doesn't

2003-03-05  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (transfer_done_targz_idle_cb),
	(transfer_done_tarbz2_idle_cb), (create_local_uri),
	(do_open_directory), (do_close_directory), (do_read_directory),
	(do_open), (do_create), (do_close), (do_read), (do_write),
	(do_seek), (do_tell), (do_get_file_info_from_handle), (do_unlink):
	Make installing work

2003-02-19  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: install keys
	* theme-method.c: (do_get_file_info): gettextize "Themes"
	* themus.keys.in: added as gnome-mime-data is in string freeze, methinks

2003-02-04  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (do_get_file_info): remove g_print debugging call
	  (do_unlink): now deletes metathemes. Does this mean it's better than
	  gnome-theme-manager?
	  (invoke_monitors): use gchar*, not gchar in function decl. Oops.

2003-02-04  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: CFLAGS = -g. Automake optimises by default, which is
	silly, and made me spend hours debugging something that was being
	crazy. This stops optimisation :)

2003-02-03  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (fill_info_struct), (do_read_directory),
	(do_get_file_info): fill info structs correctly. Breaks thumbnailers,
	but what the heck.

2003-02-03  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (theme_meta_info_find), (do_open),
	(do_get_file_info), (invoke_monitors), (do_monitor_add),
	(vfs_module_init): monitors should work now

2003-02-02  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (do_get_file_info): return ERROR_INTERNAL if we're
	confused
	* themus.schemas.in: finish renaming of mime type

2003-02-02  Andrew Sobala  <aes@gnome.org>

	* theme-method.c: (theme_meta_info_sort_func), (do_open_directory),
	(do_close_directory), (do_read_directory), (do_open), (do_create),
	(do_close), (do_read), (do_write), (do_seek), (do_tell),
	(do_get_file_info_from_handle), (do_get_file_info), (do_unlink),
	(vfs_module_init): Return info properly, remove debugging prints.
	The module now works properly, but nautilus seems to randomly choose
	the icon order. ???

2003-02-01  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: clean generated files

2003-02-01  Andrew Sobala  <aes@gnome.org>

	* Makefile.am: fix schema installation

2003-01-30  Andrew Sobala  <aes@gnome.org>

	* Makefile.am:
	* theme-method.c: (do_open), (do_get_file_info):
	* theme-thumbnail.c: (fake_expose_widget), (hbox_foreach),
	(create_image), (handle_bytes), (message_from_capplet),
	(message_from_child), (theme_thumbnail_invalidate_cache),
	(generate_theme_thumbnail), (generate_theme_thumbnail_async),
	(theme_thumbnail_factory_init):
	* theme-thumbnail.h:
	* theme-thumbnailer.c: (save_pixbuf), (main):
	* themus.mime:
	* themus.schemas.in:

	Attempt at doing mime types, attempt at doing thumbnails, VFS method
	fixes and breakages.
